<template>
    <div>
        <breadcrumb-component title="Fornecedores" :pages="breadPages"/>

        <panel-component title="Editar Fornecedor">

            <form-provider :formData="formData" :isUpdate="true"></form-provider>

        </panel-component>
    </div>
</template>

<script>
    import FormProviderComponent from './FormProviderComponent'

    export default {
        props: {
            id: {
                require: true
            }
        },

        components: {
            FormProvider: FormProviderComponent
        },

        data() {
            return {
                formData: {
                    id: '',
                    tipo: '',
                    name: '',
                    email: '',
                    telefone: '',
                    celular: '',
                    site: '',
                    observacao: '',
                    type_provider_physical: {
                        cpf: '',
                        rg: '',
                        data_nascimento: '',
                    },
                    type_provider_legal: {
                        cnpj: '',
                        razao_social: '',
                        inscricao_estadual: '',
                        inscricao_municipal: '',
                        suframa: '',
                        tipo_contribuinte: '',
                        reponsavel: '',
                    },
                    type_provider_foreign: {
                        documento: ''
                    },
                    provider_adresses: [
                        {
                            tipo: '',
                            cep: '',
                            logradouro: '',
                            numero: '',
                            complemento: '',
                            bairro: '',
                            cidade: '',
                            uf: '',
                        }
                    ],
                    provider_contacts: [],
                },

                breadPages: [
                    {link: 'dashboard', name: 'Dashboard', active: false},
                    {link: 'providers', name: 'Fornecedores', active: false},
                    {link: 'providers.edit', name: 'Editar', active: true},
                ],
            }
        },

        created() {
            this.$store.dispatch('loadProvider', this.id)
                .then(response => {
                    this.formData = response
                })
                .catch(() => {
                    this.$snotify.error('Fornecedor não encontrado', '404')
                    this.$router.push({name: 'providers'})
                })
        }
    }
</script>